Skip to main content
GET
Lookup NFT By Token ID

Authorizations

Authorization
string
header
required

Enter your API key in the format: Bearer <api_key>. Providing an API key may grant higher rate limits or access to additional features. The API will function without an API key for basic access.

Path Parameters

collection_address
string
required

The NFT collection contract address.

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D"

token_id
integer<uint64>
required

The unique identifier of the NFT token.

Example:

3123121

chain_name
enum<string>
required

The name or ID of the blockchain.

Available options:
ethereum,
apechain,
arbitrum,
avalanche,
base,
bsc,
polygon
Example:

"ethereum"

Response

Successfully retrieved NFT details.

nft
object
required